# Update Ghosty Profile

### <mark style="background-color:yellow;">**Update Ghosty Profile**</mark>

```
PUT http://127.0.0.1:2268/profiles/:profileID
```

### <mark style="background-color:yellow;">Parameters -</mark> `Parameter`

<table><thead><tr><th width="210.33333333333331">Name</th><th width="109">Type</th><th>Description</th></tr></thead><tbody><tr><td>name</td><td><code>String</code></td><td>Optional profile's name</td></tr><tr><td>notes</td><td><code>String</code></td><td>Optional Note</td></tr><tr><td>browserSource</td><td><code>String</code></td><td>Optional Browser. List of supported browsers source: (ghosty)</td></tr><tr><td>fakeMediaDevices</td><td><code>Boolean</code></td><td>default: true</td></tr><tr><td>fakeWebGLImage</td><td><code>Boolean</code></td><td>default: true</td></tr><tr><td>fakeWebGLMetaData</td><td><code>Boolean</code></td><td>default: true</td></tr><tr><td>fakeAudio</td><td><code>Boolean</code></td><td>default: true</td></tr><tr><td>fakeClientRects</td><td><code>Boolean</code></td><td>default: false</td></tr><tr><td>language</td><td><code>String</code></td><td>browser language </td></tr><tr><td>resolution</td><td><code>String</code></td><td>screen resolution</td></tr><tr><td>proxy</td><td><code>String</code></td><td><p>Optional Proxy. Support http, socks4, socks5. Use in the following format:</p><pre class="language-json"><code class="lang-json">"{\"host\":\"127.0.0.1\",\"mode\":\"http\",\"password\":\"d92913ab\",\"port\":26951,\"username\":\"nguyenmanhtien.bh\"}"
</code></pre></td></tr><tr><td>folder</td><td><code>String</code></td><td>Folder ID</td></tr><tr><td>userAgent</td><td><code>String</code></td><td><p></p><pre class="language-json"><code class="lang-json"> "Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/112.0.0.0 Safari/537.36"
</code></pre></td></tr></tbody></table>

### Example

* Link to Postman's API Hidemyacc version 3:

<https://drive.google.com/drive/folders/1PY9VSbRCFbRwhruOP3uv7w-ECB3erXS3?usp=sharing>

### <mark style="background-color:yellow;">Success response</mark>

**Success response - `Success 200`**

| Name | Type     | Description         |
| ---- | -------- | ------------------- |
| data | `Object` | Profile information |

### <mark style="background-color:yellow;">Success response example</mark>

**Success response example - `Success-Example`**

```
Status code: 200 OK
{
    "code": 1,
    "data": {
        "id": "648159d23bb6b4072438989a",
        "name": "test-auto-3-1",
        "os": "mac",
        "platform": "MacIntel",
        "browserSource": "ghosty",
        "browserType": "chrome",
        "proxy": {
            "proxyEnabled": false,
            "autoProxyServer": "",
            "autoProxyUsername": "",
            "autoProxyPassword": "",
            "changeIpUrl": "",
            "mode": "http",
            "port": 26951,
            "autoProxyRegion": "VN",
            "torProxyRegion": "us",
            "host": "127.0.0.1",
            "username": "nguyenmanhtien.bh",
            "password": "cvbh"
        },
        "startUrl": "https://ipfighter.com"
    }
}

```

### <mark style="background-color:yellow;">Error response</mark>

**Error response - `Error 4xx`**

<table><thead><tr><th width="200">Name</th><th width="193.33333333333331">Type</th><th>Description</th></tr></thead><tbody><tr><td>402</td><td></td><td>API supported from Team plan</td></tr></tbody></table>

### <mark style="background-color:yellow;">Error response example</mark>

**Error response example - `Response (example):`**

```
Status code 402: Payment required
{
    "code": 0
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.hidemyacc.com/hidemyacc-3.0-features/hidemyacc-3.0-api/profile-api/update-ghosty-profile.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
